/*
 * Java 1.7
 *
 * Copyright 2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.security.command;

import java.io.InputStream;

/**
 * Result object returned by @link{SignedCommandDecoder}
 */
public class Command {
	private final InputStream commandInputStream;
	private final int commandId;

	/**
	 * @param commandInputStream
	 *            InputStream that contains the command and its metadata
	 * @param commandId
	 *            command identifier
	 */
	public Command(InputStream commandInputStream, int commandId) {
		this.commandInputStream = commandInputStream;
		this.commandId = commandId;
	}

	/**
	 * Returns commandInputStream. The user MUST close this InputStream.
	 *
	 * @return commandInputStream
	 */
	public InputStream getCommandInputStream() {
		return this.commandInputStream;
	}

	/**
	 * Returns command identifier
	 *
	 * @return commandId
	 */
	public int getCommandId() {
		return this.commandId;
	}
}
