/*
 * Java 1.7
 *
 * Copyright 2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.security.command;

/**
 * Generic exception thrown by {@link CommandUnwrapper} implementations.
 */
public class InvalidSignatureException extends RuntimeException {
	/**
	 *
	 */
	private static final long serialVersionUID = -3466224245168138653L;

	/**
	 * Constructs an instance of this class.
	 */
	public InvalidSignatureException() {
		super();
	}

	/**
	 * Constructs an instance of this class with a cause.
	 *
	 * @param cause
	 *            the cause. (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
	 * @see Exception#Exception(Throwable)
	 */
	public InvalidSignatureException(Throwable cause) {
		super(cause);
	}

	/**
	 * Constructs a SignedCommandException with the specified, detailed message.
	 *
	 * @param message
	 *            the detail message.
	 * @see Exception#Exception(String)
	 */
	public InvalidSignatureException(String message) {
		super(message);
	}

	/**
	 * Constructs an instance of this class with both a message and a cause.
	 *
	 * @param message
	 *            the detail message.
	 * @param cause
	 *            the cause. (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
	 * @see Exception#Exception(String, Throwable)
	 */
	public InvalidSignatureException(String message, Throwable cause) {
		super(message, cause);
	}

}
