/*
 * Java
 *
 * Copyright 2018 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.signature;

/**
 *
 */
public interface Signer {

	/**
	 * Initialize this object for signing.
	 *
	 * @param privateKeyBytes
	 *            the PCKS8 DER encoded private key bytes.
	 * @throws SignatureException
	 *             if an error occurs.
	 */
	void initSign(byte[] privateKeyBytes) throws SignatureException;

	/**
	 * Sign the given data.
	 *
	 * @param data
	 *            the data to sign.
	 * @return the signature of the given data.
	 * @throws SignatureException
	 *             if the calculation of the signature failed.
	 */
	byte[] sign(byte[] data) throws SignatureException;

}
