/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.animation;

import ej.bon.Util;

/**
 * An animation is responsible for animating a element (usually a visual one).
 */
public interface Animation {

	/**
	 * Called by an animator at a fixed rate.
	 * <p>
	 * The given time is based on {@link Util#platformTimeMillis()} which is monotonic.
	 *
	 * @param currentTimeMillis
	 *            the current time in milliseconds.
	 * @return <code>true</code> if the animation continue, <code>false</code> if the animation must stop.
	 */
	boolean tick(long currentTimeMillis);

}
