/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.automaton;

/**
 * Defines an automaton that will simulate user interaction.
 */
public interface Automaton extends Runnable {

	/**
	 * Gets the period to schedule the automaton at.
	 *
	 * @return the period in milliseconds.
	 */
	long getPeriod();

	/**
	 * Starts the automaton.
	 */
	void onStart();

	/**
	 * Stops the automation.
	 */
	void onStop();

}
