/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event;

import ej.basedriver.MultilevelValue;
import ej.basedriver.Thermostat;
import ej.basedriver.ThermostatMode;

public class ThermostatEventProxy extends EventProxy<Thermostat> implements ThermostatEvent {

	@Override
	public ThermostatMode getMode() {
		try {
			return (ThermostatMode) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
		}
		return null;
	}

	@Override
	public double getValue(ThermostatMode mode) {
		try {
			return invokeDouble();
		} catch (Throwable e) {
			e.printStackTrace();
		}
		return MultilevelValue.UNKNOWN;
	}

}