/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.zwave.frame;

import java.io.IOException;
import java.io.OutputStream;

import ej.basedriver.zwave.ZwaveProtocol;

public class ControlFrame implements SendFrame {
	public static final ControlFrame ACK_FRAME = new ControlFrame(ZwaveProtocol.ACK);
	public static final ControlFrame NAK_FRAME = new ControlFrame(ZwaveProtocol.NAK);
	public static final ControlFrame CAN_FRAME = new ControlFrame(ZwaveProtocol.CAN);

	private final byte content;

	private ControlFrame (byte content) {
		this.content = content;
	}

	@Override
	public void send(OutputStream os) throws IOException {
		synchronized (os) {
			os.write(content);
			os.flush();
		}
	}
}
