/*
 * Java
 *
 * Copyright 2017-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.data.pubsub;

/**
 * An agent connected to a MQTT broker.
 */
public interface MqttAgent {

	/**
	 * Creates a new {@link MqttContext}.
	 * 
	 * @return the created {@link MqttContext} or <code>null</code> if the {@link MqttContext} cannot be created.
	 */
	public MqttContext newMqttContext();

	/**
	 * Returns the identifier of the agent.
	 * It is preferable, although not required, that the returned string should be printable.
	 *
	 * @return the agent identifier.
	 */
	public String getId();

}
