/*
 * Java
 *
 * Copyright 2017-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.data.pubsub;

import java.io.IOException;

import ej.data.DataWriter;
import ej.kf.Proxy;


class MqttContextProxy extends Proxy<MqttContext> implements MqttContext{

	@Override
	public DataWriter newPublication(String topic) throws IOException {
		try{
			return (DataWriter)invokeRef();
		}
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public DataWriter newPublication(String topic, int qos, boolean retain) throws IOException {
		try{
			return (DataWriter)invokeRef();
		}
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void setListener(MqttListener listener) {
		try{
			invoke();
		}
		catch(Throwable e){
			// Nothing to do
		}
	}

	@Override
	public void subscribe(String topicFilter) throws IOException {
		try{
			invoke();
		}
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void subscribe(String topicFilter, int qos) throws IOException {
		try{
			invoke();
		}
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public void unsubscribe(String topicFilter) throws IOException {
		try{
			invoke();
		}
		catch(Throwable e){
			throw new IOException();
		}
	}

	@Override
	public String getSharedTopicPrefix() {
		try{
			return (String)invokeRef();
		}
		catch(Throwable e){
			return "";
		}
	}

	@Override
	public String getLocalTopicPrefix() {
		try{
			return (String)invokeRef();
		}
		catch(Throwable e){
			return "";
		}
	}

	@Override
	public void close() throws IOException {
		try{
			invoke();
		}
		catch(Throwable e){
			throw new IOException();
		}
	}

}
