/*
 * Java
 *
 * Copyright 2017-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.data.pubsub;

import ej.data.DataReader;

/**
 * Listener called when a message is received for an {@link MqttContext}.
 */
public interface MqttListener {

	/**
	 * Called when a message was received on the given topic.
	 * 
	 * @param topic name of the topic on the message was published to.
	 * @param dataReader reader to get the content of the message.
	 */
	public void messageReceived(String topic, DataReader dataReader);

}
