/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.background;

import ej.microui.display.GraphicsContext;
import ej.style.container.Rectangle;

/**
 * Draws a plain color on the background with a rectangular border.
 */
public class PlainBackground implements Background {

	/**
	 * Creates a plain background with no border.
	 */
	public PlainBackground() {
	}

	@Override
	public boolean isTransparent() {
		return false;
	}

	@Override
	public void apply(GraphicsContext g, Rectangle bounds, int color) {
		g.setColor(color);
		g.fillRect(0, 0, bounds.getWidth(), bounds.getHeight());

		// Set background color to optimize future anti-aliased drawings.
		g.setBackgroundColor(color);
	}

}
