/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.outline;

import ej.microui.display.GraphicsContext;
import ej.style.container.Rectangle;

/**
 * An outline that is empty.
 */
public final class EmptyOutline implements Outline {

	/**
	 * Empty outline singleton to avoid creating several ones.
	 */
	// Assume that it is stateless.
	public static final EmptyOutline EMPTY_OUTLINE = new EmptyOutline();

	private EmptyOutline() {
	}

	@Override
	public void wrap(Rectangle rectangle) {
		// Nothing to do.
	}

	@Override
	public void unwrap(Rectangle rectangle) {
		// Nothing to do.
	}

	@Override
	public void apply(GraphicsContext g, Rectangle rectangle) {
		// Nothing to do.
	}

}
