/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.app;

/**
 * User notification.
 */
public interface Notification {
	/**
	 * Gets the notification tag.
	 *
	 * @return the notification tag.
	 */
	String getTag();

	/**
	 * Gets the notification message.
	 *
	 * @return the notification message.
	 */
	String getMessage();

	/**
	 * Gets the associated activity.
	 * <p>
	 * This activity can contain more information about the notification.
	 * <p>
	 * Can be <code>null</code> if none.
	 * 
	 * @return the associated activity.
	 */
	Activity getActivity();

}
