/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import ej.kf.Proxy;
import ej.observable.Observer;
import ej.wadapps.app.Activity;

class ActivitiesListProxy extends Proxy<ActivitiesList> implements ActivitiesList {

	@Override
	public void addObserver(Observer observer) throws NullPointerException {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void deleteObserver(Observer observer) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void add(Activity activity) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void remove(Activity activity) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public Activity[] getActivities() {
		try {
			return (Activity[]) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return new Activity[0];
		}
	}

}
