/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import java.io.IOException;
import java.io.InputStream;

/**
 * Represents an extra metadata.
 */
public interface ExtraMetadata {

	/**
	 * Gets the identifier of this extra metadata.
	 *
	 * @return the identifier of this extra metadata.
	 */
	String getIdentifier();

	/**
	 * Gets the value of this extra metadata.
	 *
	 * @return the value of this extra metadata.
	 * @throws IOException
	 *             if an I/O error occurs.
	 */
	InputStream getValue() throws IOException;
}
