/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.widget.basic.picto;

/**
 * Defines the characters to use for the widgets rendered with some pictos.
 */
public interface Pictos {

	/**
	 * The unchecked radio character.
	 */
	char RADIO_UNCHECKED = 0x21;

	/**
	 * The checked radio character.
	 */
	char RADIO_CHECKED = 0x22;

	/**
	 * The unchecked check box character.
	 */
	char CHECKBOX_UNCHECKED = 0x23;

	/**
	 * The checked check box character.
	 */
	char CHECKBOX_CHECKED = 0x24;

	/**
	 * The unchecked switch character.
	 */
	char SWITCH_UNCHECKED = 0x25;

	/**
	 * The checked switch character.
	 */
	char SWITCH_CHECKED = 0x26;

	/**
	 * The slider cursor character.
	 */
	char SLIDER_CURSOR = 0x27;

	/**
	 * The slider bar character.
	 */
	char SLIDER_BAR = 0x28;

	/**
	 * The progress bar step 0 character.
	 */
	char PROGRESS_0 = 0x29;

	/**
	 * The progress bar step 1 character.
	 */
	char PROGRESS_1 = 0x2a;

	/**
	 * The progress bar step 2 character.
	 */
	char PROGRESS_2 = 0x2b;

	/**
	 * The progress bar step 3 character.
	 */
	char PROGRESS_3 = 0x2c;

	/**
	 * The progress bar step 4 character.
	 */
	char PROGRESS_4 = 0x2d;

	/**
	 * The progress bar step 5 character.
	 */
	char PROGRESS_5 = 0x2e;

	/**
	 * The progress bar step 6 character.
	 */
	char PROGRESS_6 = 0x2f;

	/**
	 * The progress bar step 7 character.
	 */
	char PROGRESS_7 = 0x30;

	/**
	 * The progress bar step 8 character.
	 */
	char PROGRESS_8 = 0x31;

	/**
	 * The progress bar step 9 character.
	 */
	char PROGRESS_9 = 0x32;

	/**
	 * The progress bar indeterminate step 0 character.
	 */
	char PROGRESS_INDETERMINATE_0 = 0x33;

	/**
	 * The progress bar indeterminate step 1 character.
	 */
	char PROGRESS_INDETERMINATE_1 = 0x34;

	/**
	 * The progress bar indeterminate step 2 character.
	 */
	char PROGRESS_INDETERMINATE_2 = 0x35;

	/**
	 * The progress bar indeterminate step 3 character.
	 */
	char PROGRESS_INDETERMINATE_3 = 0x36;

	/**
	 * The progress bar indeterminate step 4 character.
	 */
	char PROGRESS_INDETERMINATE_4 = 0x37;

	/**
	 * The progress bar indeterminate step 5 character.
	 */
	char PROGRESS_INDETERMINATE_5 = 0x38;

	/**
	 * The progress bar indeterminate step 6 character.
	 */
	char PROGRESS_INDETERMINATE_6 = 0x39;

	/**
	 * The progress bar indeterminate step 7 character.
	 */
	char PROGRESS_INDETERMINATE_7 = 0x3a;

	/**
	 * The progress bar indeterminate step 8 character.
	 */
	char PROGRESS_INDETERMINATE_8 = 0x3b;

	/**
	 * The progress bar indeterminate step 9 character.
	 */
	char PROGRESS_INDETERMINATE_9 = 0x3c;

}
